# std::log10(std::complex)

From cppreference.com
< cpp‎ | numeric‎ | complex

Defined in header `<complex>` |  |
template< class T > complex<T> log10( const complex<T>& z ); |  |

Computes complex common (base 10) logarithm of a complex value `z` with a branch cut along the negative real axis.

The behavior of this function is equivalent to `std::log(z)/std::log(10)`

### Parameters

z | - | complex value

### Return value

Complex common logarithm of `z`

### Example

Run this code

    #include <iostream>
    #include <cmath>
    #include <complex>

    int main()
    {
        std::complex<double> z(0, 1); // // r = 0,  = pi/2
        std::cout << "2*log10" << z << " = " << 2.*std::log10(z) << '\n';

        std::complex<double> z2(sqrt(2)/2, sqrt(2)/2); // r = 1, # = pi/4
        std::cout << "4*log10" << z2 << " = " << 4.*std::log10(z2) << '\n';

        std::complex<double> z3(-100, 0); // r = 100, # = pi
        std::cout << "log10" << z3 << " = " << std::log10(z3) << '\n';
        std::complex<double> z4(-100, -0.0); // the other side of the cut
        std::cout << "log10" << z4 << " (the other side of the cut) = "
                  << std::log10(z4) << '\n'
                  << "(note: pi/log(10) = " << acos(-1)/log(10) << ")\n";
    }

Output:

    2*log10(0,1) = (0,1.36438)
    4*log10(0.707107,0.707107) = (0,1.36438)
    log10(-100,0) = (2,1.36438)
    log10(-100,-0) (the other side of the cut) = (2,-1.36438)
    (note: pi/log(10) = 1.36438)

### See also

log(std::complex) | complex natural logarithm with the branch cuts along the negative real axis (function template)
log10 | computes common (base 10) logarithm (log10(x)) (function)
log10(std::valarray) | applies the function std::log10 to each element of valarray (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/log10&oldid=73198"